httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Kew <n...@webthing.com>
Subject Re: [users@httpd] apache 2.2 and php 5 problem
Date Mon, 01 May 2006 18:02:28 GMT
On Monday 01 May 2006 17:34, Ken Murach wrote:

> itis-padlproxy1 # ./httpd -t
> httpd: Syntax error on line 53 of /usr/local/apache2/conf/httpd.conf:
> Cannot load /usr/local/apache2/modules/libphp5.so into server: ld.so.1:
> ./httpd: fatal: relocation error: file
> /usr/local/apache2/modules/libphp5.so: symbol xmlRelaxNGCleanupTypes:
> referenced symbol not found

Your libphp is compiled against a more recent libxml than you're
trying to run it against.  Or the libxml it's finding at run time is
screwed altogether.

> If I comment out the:
>
> LoadModule php5_module        modules/libphp5.so
>
>
> in the httpd.conf file, my syntax is OK again??

Does anything other than php use libxml2?  If so, you've
got a version-clash problem there.  The sensible fix is to
remove any old libxml2 versions (though that won't stop
PHP doing its cuckoo-in-the-nest act).


-- 
Nick Kew

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message